ExtendedFrameworkMethod (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.junit4
Class ExtendedFrameworkMethod

    java.lang.Object
      org.junit.runners.model.FrameworkMethod
          org.hibernate.testing.junit4.ExtendedFrameworkMethod

    public class ExtendedFrameworkMethod

extends org.junit.runners.model.FrameworkMethod

Defines an extension to the standard JUnit `FrameworkMethod` information about a test method.

Constructor Summary
`ExtendedFrameworkMethod(org.junit.runners.model.FrameworkMethod delegatee, org.junit.Ignore virtualIgnore, FailureExpected failureExpectedAnnotation)`

Method Summary
`boolean` | `equals(Object obj)`
`
`<T extends Annotation> T`
` | `getAnnotation(Class<T> annotationType)`
`Annotation[]` | `getAnnotations()`
`FailureExpected` | `getFailureExpectedAnnotation()`
`Method` | `getMethod()`
`String` | `getName()`
`int` | `hashCode()`
`Object` | `invokeExplosively(Object target, Object... params)`
`boolean` | `isShadowedBy(org.junit.runners.model.FrameworkMethod other)`
`boolean` | `producesType(Class<?> type)`
`void` | `validatePublicVoid(boolean isStatic, List<Throwable> errors)`
`void` | `validatePublicVoidNoArg(boolean isStatic, List<Throwable> errors)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedFrameworkMethod

    public ExtendedFrameworkMethod(org.junit.runners.model.FrameworkMethod delegatee,
                                   org.junit.Ignore virtualIgnore,
                                   FailureExpected failureExpectedAnnotation)

Method Detail

### getFailureExpectedAnnotation

    public FailureExpected getFailureExpectedAnnotation()

### getMethod

    public Method getMethod()

  Overrides:
    `getMethod` in class `org.junit.runners.model.FrameworkMethod`

### invokeExplosively

    public Object invokeExplosively(Object target,
                                    Object... params)
                             throws Throwable

  Overrides:
    `invokeExplosively` in class `org.junit.runners.model.FrameworkMethod`
  Throws:
    `Throwable`

### getName

    public String getName()

  Overrides:
    `getName` in class `org.junit.runners.model.FrameworkMethod`

### validatePublicVoidNoArg

    public void validatePublicVoidNoArg(boolean isStatic,
                                        List<Throwable> errors)

  Overrides:
    `validatePublicVoidNoArg` in class `org.junit.runners.model.FrameworkMethod`

### validatePublicVoid

    public void validatePublicVoid(boolean isStatic,
                                   List<Throwable> errors)

  Overrides:
    `validatePublicVoid` in class `org.junit.runners.model.FrameworkMethod`

### isShadowedBy

    public boolean isShadowedBy(org.junit.runners.model.FrameworkMethod other)

  Overrides:
    `isShadowedBy` in class `org.junit.runners.model.FrameworkMethod`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `org.junit.runners.model.FrameworkMethod`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `org.junit.runners.model.FrameworkMethod`

### producesType

    public boolean producesType(Class<?> type)

  Overrides:
    `producesType` in class `org.junit.runners.model.FrameworkMethod`

### getAnnotations

    public Annotation[] getAnnotations()

  Overrides:
    `getAnnotations` in class `org.junit.runners.model.FrameworkMethod`

### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationType)

  Overrides:
    `getAnnotation` in class `org.junit.runners.model.FrameworkMethod`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.